sub set_lang($) {

	my $lang = shift;

	if ($lang eq "de") {
		%mess = (
		'title'		=> 'Authentifizierung',
		'fifo_err'	=> 'FATAL - kann nicht mit Auth-Server kommunizieren!',
		'login_info'	=> 'Informationen &uuml;ber das Authentifizieren',
		'info'		=> 'Information',
		'val'		=> 'Wert',
		'src'		=> 'Quelle',
		'addr'		=> 'Addresse',
		'wait'		=> 'Authentifizierung, bitte warten...',
		'success'	=> 'Authentifizierung erfolgreich durchgefhrt.',
		'conn'		=> 'Verbindung',
		'proxy'		=> 'Proxy',
		'user'		=> 'Benutzername',
		'pass'		=> 'Passwort',
		'server'	=> 'Server',
		'static'	=> '(statisch)',
		'url'		=> 'Ziel-URL',
		'redir'		=> 'Weiterleitung',
		'guessed'	=> '(geraten)',
		'error'		=> 'Fehler',
		'incorrect'	=> 'Login ung&uuml;ltig.',
		'please_cor'	=> 'Bitte verwenden Sie g&uuml;ltigen Name/Passwort.',
		'wait_again'	=> 'Warten Sie kurz, und versuchen Sie es erneut!',
		'connect_server'=> 'Verbinde mit Passwort-Authentikations-Server...',
		'pass_ok'	=> 'Passwort OK, warten...',
		'login_ok'	=> 'LOGIN OK, kurz warten...',
		'fail'		=> 'Authentifikation fehlgeschlagen.'  );
	} 
	if ($lang eq "pt"){
		%mess = (
		'title'		=> 'Autenticao',
		'fifo_err'	=> 'ERRO - no foi possvel contactar o servidor de autenticao!',
		'login_info'	=> 'Informaes de autenticao',
		'info'		=> 'Informao',
		'val'		=> 'Valor',
		'src'		=> 'Fonte',
		'addr'		=> 'Endereo',
		'wait'		=> 'Autenticao em progresso. por favor aguarde um momento...',
		'success'	=> 'Foi autenticado com sucesso.',
		'conn'		=> 'Ligao',
		'proxy'		=> 'Proxy',
		'user'		=> 'Identificador',
		'pass'		=> 'Senha',
		'server'	=> 'Servidor',
		'static'	=> '(esttico)',
		'url'		=> 'URL original',
		'redir'		=> 'Redireco',
		'guessed'	=> '(adivinhado)',
		'error'		=> 'Erro',
		'incorrect'	=> 'As credenciais fornecidas no esto correctas.',
		'please_cor'	=> 'Por favor fornea as suas credenciais.',
		'wait_again'	=> 'Aguarde um momento e volte a tentar.',
		'connect_server'=> 'A ligar ao servidor de autenticao...',
		'pass_ok'	=> 'Senha OK, aguarde...',
		'login_ok'	=> 'Foi autenticado com sucesso. Por favor aguarde um momento...',
		'fail'		=> 'A autenticao falhou!' );
	}
	else { # Defaults to english
		%mess = (
		'title'		=> 'Authentication',
		'fifo_err'	=> 'FATAL - cannot communicate with auth-server!',
		'login_info'	=>  'Aviable authentication informations',
		'info'		=> 'Information',
		'val'		=> 'Value',
		'src'		=> 'Source',
		'addr'		=> 'Address',
		'wait'		=> 'Authentication in progress, please wait...',
		'success'	=> 'You have been authenticated successfully.',
		'conn'		=> 'Connection',
		'proxy'		=> 'Proxy',
		'user'		=> 'Username',
		'pass'		=> 'Password',
		'server'	=> 'Server',
		'static'	=> '(static)',
		'url'		=> 'original URL',
		'redir'		=> 'Redirection',
		'guessed'	=> '(guessed)',
		'error'		=> 'Error',
		'incorrect'	=> 'Login incorrect.',
		'please_cor'	=> 'Please supply correct username/password.',
		'wait_again'	=> 'Please wait a moment, and try again.',
		'connect_server'=> 'Connecting password authentication server...',
		'pass_ok'	=> 'Password OK, wait...',
		'login_ok'	=> 'LOGIN OK, just wait...',
		'fail'		=> 'Authentication failed!' );
	}
	return %mess;
}
1;
